<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "twilio_cnam".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "TwilioCnam".
 *
 * The followings are the available columns in table 'twilio_cnam':
 * @property integer $id
 * @property string $number
 * @property string $name
 * @property string $cnam_created
 * @property string $cnam_updated
 * @property string $date_added
 */
abstract class BaseTwilioCnam extends BaseModel
{

    /**
     * Returns the static model of the specified AR class.
     * @return TwilioCnam the static model class
     */
    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    /**
     * @return string the associated database table name
     */
    public function tableName()
    {
        return 'twilio_cnam';
    }

    /**
     * @return array validation rules for model attributes.
     */
    public function rules()
    {
        // NOTE: you should only define rules for those attributes that
        // will receive user inputs.
        return array(
            array('number, date_added', 'required'),
            array('number', 'length', 'max' => 12),
            array('name', 'length', 'max' => 15),
            array('cnam_created, cnam_updated', 'safe'),
            // The following rule is used by search().
            // Please remove those attributes that should not be searched.
            array('id, number, name, cnam_created, cnam_updated, date_added', 'safe', 'on' => 'search'),
        );
    }

    /**
     * @return array relational rules.
     */
    public function relations()
    {
        // NOTE: you may need to adjust the relation name and the related
        // class name for the relations automatically generated below.
        return array(
        );
    }

    /**
     * @return array customized attribute labels (name=>label)
     */
    public function attributeLabels()
    {
        return array(
            'id' => 'ID',
            'number' => 'Number',
            'name' => 'Name',
            'cnam_created' => 'CNAM Created',
            'cnam_updated' => 'CNAM Updated',
            'date_added' => 'Date Added',
        );
    }

    /**
     * Retrieves a list of models based on the current search/filter conditions.
     * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
     */
    public function search()
    {
        // Warning: Please modify the following code to remove attributes that
        // should not be searched.

        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('number', $this->number, true);
        $criteria->compare('name', $this->name, true);
        $criteria->compare('cnam_created', $this->cnam_created, true);
        $criteria->compare('cnam_updated', $this->cnam_updated, true);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
